package chess.player.heuristics;

import chess.board.Board;
import chess.board.PlayerColor;

/**Interface class for the different Heuristics
 * @author Garon
 *
 */
public interface Heuristic {

	/**Evaluates the board state
	 * @param c		Player to be evaluated
	 * @param b		board to be evaluated
	 * @return		evaluation value
	 */
	public int evaluateBoardState(PlayerColor c, Board b);
}
