package chess.board;

import java.awt.Point;

/**Move Class
 * @author Garon
 *
 */
public class Move {
	
	public Point startPoint;	//Starting Point of the move
	public Point endPoint;		//Endign Point of the move
	
	/**Constructor for move class
	 * @param firstIndexPoint	This is the starting Point
	 * @param secondIndexPoint	This is the ending Point
	 */
	public Move(Point firstIndexPoint, Point secondIndexPoint) {
		startPoint = firstIndexPoint;
		endPoint = secondIndexPoint;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "[" + startPoint.x + ", " + startPoint.y + "]" + " - " + "[" + endPoint.x + ", " + endPoint.y + "]";
	}

}
